<span class="tooltip" style={`left:${rect.x + rect.width + 9 + 8}px;top:${rect.y + (rect.height / 2) - 18}px`}>
  {value}
</span>

<script>
  export default {
    computed: {
      rect({parent}) {
        return parent.firstElementChild.getBoundingClientRect();
      }
    }
  };
</script>

<style>
span.tooltip {
      position: absolute;
      width: fit-content;
      height: fit-content;
      line-height: 20px;
      padding: 8px 14px 8px 14px;
      font-size: 0.9em;
      text-align: center;
      color: #fff;
      background: #000;
      border-radius: 5px;
      margin: auto;
      z-index: 9999;
}


span.tooltip:after {
      content: "";
      position: absolute;
      width: 0;
      height: 0;
      border-width: 8px;
      border-style: solid;
      border-color: transparent #000 transparent transparent;
      top: calc(50% - 8px);
      left: -16px;
}
</style>
